// TFPanel.cpp : implementation file
//

#include "stdafx.h"
#include "pixelwhippro.h"
#include "TFPanel.h"



extern CPixelWhipProApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CTFPanel dialog


CTFPanel::CTFPanel(CWnd* pParent /*=NULL*/)
	: CDynaPanel(CTFPanel::IDD, pParent)
{
	ActDat=NULL;
	//{{AFX_DATA_INIT(CTFPanel)
	m_tfcheck = FALSE;
	//}}AFX_DATA_INIT
}


void CTFPanel::DoDataExchange(CDataExchange* pDX)
{
	CDynaPanel::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTFPanel)
	DDX_Check(pDX, IDC_TFCHECK, m_tfcheck);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTFPanel, CDynaPanel)
	//{{AFX_MSG_MAP(CTFPanel)
	ON_BN_CLICKED(IDC_TFCHECK, OnTfcheck)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTFPanel message handlers

void CTFPanel::Set(void *dat)
{
ActDat=(bool *)dat;
m_tfcheck=*ActDat;
}

void CTFPanel::OnTfcheck() 
{
theApp.Modified=true;
if(ActDat==NULL) return;
UpdateData(TRUE);
*ActDat=m_tfcheck!=0;
	
}
